use crate::pages::{Clues, Deceased, Home, Register, Relationship, SignUp, Verify};

use yew::{function_component, html, Html};
use yew_router::prelude::*;
#[derive(Clone, Routable, PartialEq)]
pub enum Route {
    #[at("/")]
    #[not_found]
    Home,
    #[at("/signup")]
    SignUp,
    #[at("/verify")]
    Verify,
    #[at("/deceased")]
    Deceased,
    #[at("/clues")]
    Clues,
    #[at("/register")]
    Register,
    #[at("/relationship")]
    Relationship,
}

fn route(routes: Route) -> Html {
    match routes {
        Route::Home => {
            html! { <Home /> }
        }
        Route::Relationship => {
            html! { <Relationship /> }
        }

        Route::SignUp => {
            html! { <SignUp /> }
        }
        Route::Verify => {
            html! { <Verify /> }
        }
        Route::Clues => {
            html! { <Clues /> }
        }
        Route::Deceased => {
            html! { <Deceased /> }
        }
        Route::Register => {
            html! { <Register /> }
        }
    }
}

#[function_component(Main)]
pub fn app() -> Html {
    html! {
        <BrowserRouter>
            <Switch<Route> render={route} />
        </BrowserRouter>
    }
}
